
import 'package:flutter/material.dart';
import 'package:flutter_picker/Picker.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:worker_client/pages/wallet/widget/money.dart';
import 'package:worker_client/pages/wallet/widget/moneyInfo.dart';
import 'package:worker_client/utils/timer.dart';

import '../../widgets/MyButton/index.dart';
import '../../widgets/layout/BasicPage.dart';


class MyWithdrawal extends BasicPage {
  MyWithdrawal({Key? key}) : super(key: key) {
    naviTitle = '我的钱包';
  }

  final bankBrand = Rx<Map>({});


    @override
  void beforeShow() {
    // TODO: implement beforeShow
    super.beforeShow();
    // Loading.before('2222');


    }

  // void _showDialog(BuildContext,context) {
  //   BuildContext dialogContext;
  //
  //   Navigator.pop(dialogContext);
  //   showDialog(
  //       context: context,
  //       builder: (BuildContext context) {
  //         dialogContext = context;
  //         return LoadingDialog(true);
  //       });
  // }

    @override
  Widget builder(BuildContext context) {

    return
        Container(
          alignment: Alignment.center,
          child: Column(
            children: [
              MoneyCard(type: true,),
              Container(
                  margin: EdgeInsets.fromLTRB(20, 30.w, 0, 20.w),
                  alignment: Alignment.topLeft,
                  decoration: const BoxDecoration(
                      border: Border(
                          left: BorderSide(
                              width: 5, color: Color(0xff000000)
                            // 0x17000000
                          ))),
                  child: Padding(
                    padding: EdgeInsets.fromLTRB(13.w, 0, 0, 0),
                    child: Text(
                      '选择银行卡',
                      style: TextStyle(
                        color: Color(0xff333333),
                        fontWeight: FontWeight.w400,
                        fontSize: 18,
                      ),
                    ),
                  )),
              Container(
                width:345.w ,
                  alignment: Alignment.topLeft,
                  decoration:  BoxDecoration(
                    borderRadius: BorderRadius.circular(20),

                    border: Border.all(
                      color: Color(0xffF2F2F2),
                      width: 1,
                    ),
                    ),
                  child: Row(
                    children: [
                      Expanded(
                        child: ListTile(
                          title:Obx(()=>Text(bankBrand.value.length==0?'请选择银行':bankBrand.value['name'])),
                          onTap: () {
                            showPicker(context);
                          },
                        ),
                      ),
                      Icon(Icons.keyboard_arrow_right_outlined,size: 30,color:Color(0xff999999) ,)

                  ],)
              ),

              Container(
                  margin: EdgeInsets.fromLTRB(20, 30.w, 0, 20.w),
                  alignment: Alignment.topLeft,
                  decoration: const BoxDecoration(
                      border: Border(
                          left: BorderSide(
                              width: 5, color: Color(0xff000000)
                            // 0x17000000
                          ))),
                  child: Padding(
                    padding: EdgeInsets.fromLTRB(13.w, 0, 0, 0),
                    child: Text(
                      '提取金额',
                      style: TextStyle(
                        color: Color(0xff333333),
                        fontWeight: FontWeight.w400,
                        fontSize: 18,
                      ),
                    ),
                  )),
              Container(
                  width:345.w ,
                  alignment: Alignment.topLeft,
                  decoration:  BoxDecoration(
                    borderRadius: BorderRadius.circular(20),

                    border: Border.all(
                      color: Color(0xffF2F2F2),
                      width: 1,
                    ),
                  ),
                  child: Row(
                    children: [
                      Padding(padding: EdgeInsets.fromLTRB(20, 0  , 15, 0),
                      child:Icon(Icons.currency_yen_sharp,size: 30 ,) ,
                      ),

                      Expanded(
                        child:TextField(
                          keyboardType: TextInputType.number,
                          decoration: InputDecoration(
                            contentPadding:
                            const EdgeInsets.symmetric(vertical: 4.0),
                            hintText: '请输入提现金额',
                            border: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(15),
                                borderSide: BorderSide.none),
                          ),
                          // obscureText: true,
                        ),
                      ),

                    ],)
              ),
              Padding(
                padding: const EdgeInsets.only(top: 35.0),
                child: Row(
                  children: <Widget>[
                    Container(
                      width:360.w,
                      height:65.w ,
                      alignment:Alignment.center,
                      child:   MyButton(
                          text: '提现',
                          type:  0,
                          disable: false,
                          onClick: (){
                            // showDialog(
                            //     context: context,
                            //     barrierDismissible: false, //点击遮罩不关闭对话框
                            //     builder: (BuildContext context) {
                            //       return LoadingDialog();
                            //     });
                              // showDialog(
                              //   context: context,
                              //   barrierDismissible: false, //点击遮罩不关闭对话框
                              //   builder: (context) {
                              //     return AlertDialog(
                              //       content: Column(
                              //         mainAxisSize: MainAxisSize.min,
                              //         children: <Widget>[
                              //           CircularProgressIndicator(),
                              //           Padding(
                              //             padding: const EdgeInsets.only(top: 26.0),
                              //             child: Text("正在加载，请稍后..."),
                              //           )
                              //         ],
                              //       ),
                              //     );
                              //   },
                              // );
                            showDialog(
                              context: context,
                              builder: (context) {
                                // 用Scaffold返回显示的内容，能跟随主题
                                return Scaffold(
                                  backgroundColor: Colors.transparent, // 设置透明背影
                                  body: Center( // 居中显示
                                    child: Column( // 定义垂直布局
                                      mainAxisAlignment: MainAxisAlignment.center, // 主轴居中布局，相关介绍可以搜下flutter-ui的内容
                                      children: <Widget>[
                                        // CircularProgressIndicator自带loading效果，需要宽高设置可在外加一层sizedbox，设置宽高即可
                                        CircularProgressIndicator(),
                                        SizedBox(
                                          height: 10,
                                        ),
                                        Text('loading'), // 文字
                                        // 触发关闭窗口
                                        RaisedButton(
                                          child: Text('close dialog'),
                                          onPressed: () {
                                            Navigator.of(context, rootNavigator: true).pop();
                                            print('close');
                                          },
                                        ),
                                      ],
                                    ), // 自带loading效果，需要宽高设置可在外加一层sizedbox，设置宽高即可
                                  ),
                                );
                              },
                            );
                              // setTimeout((){
                              //   // Navigator.of(context).pop( Loading(canceledOnTouchOutside: false,));
                              //   Navigator.pop(context);
                              //
                              // }, 4000);

                              print('ok');

                          }
                      ),
                    )

                  ],
                ),
              )

            ],
          ),
    );
  }
  showPicker(BuildContext context) {
    const PickerData = ['中国建设银河','8s鱼就是','我的银行卡'];
    Picker picker = Picker(
        height: 230.w,
        adapter: PickerDataAdapter<String>(
            pickerdata: PickerData),
        changeToFirst: false,
        onCancel: (){
          print('object');
        },
        confirmText: '确定',
        cancelText: '取消',
        textAlign: TextAlign.left,
        textStyle: TextStyle(color: Colors.blue, ),
        selectedTextStyle: TextStyle(color: Colors.red),
        columnPadding: const EdgeInsets.all(8.0),
        onConfirm: (Picker picker, List<int> value) {
          print('666666666$value');
          // bankBrand(picker);
          int index = value.first;
          bankBrand({'id':index,'name':picker.getSelectedValues().first});
          print(bankBrand);
        }
    );
    picker.showModal(context);
  }


}


